#!/system/bin/sh
# $1 setup
controller=$(getprop sys.usb.controller)

remove_ghid() {
	rm /config/usb_gadget/g1/configs/b.1/fhid
	rmdir /config/usb_gadget/g1/functions/hid.usb0
	echo "$controller" >/config/usb_gadget/g1/UDC
}

enable_ghid() {
	if [ ! -d /config/usb_gadget/g1/functions/hid.usb0 ]; then
		mkdir /config/usb_gadget/g1/functions/hid.usb0
	fi


}


if [ "$1" != "setup"]; then
	exit 1
fi
shift

case "$1" in
	""|"none" )
		remove_ghid
		;;
	* )
		enable_ghid
	;;
esac
